# Feeds

> **ALPHA**

Feeds provide the ability to bring externally hosted ICS feeds into Cronofy so
that they can be access alongside user's calendars.

When connected they act as a read-only calendar account. That means you can use
them in conjuction with our [scheduling tools](/developers/api/scheduling/index.md), and
take advantage of our [push notification channels](/developers/api/push-notifications/index.md)
to be informed when a feed changes.

#### URL format
```
{data_center_url}/v1/feeds
```

#### Example Request
```http
POST /v1/feeds HTTP/1.1
Host: {data_center_url}
Authorization: Bearer {API_KEY}
Content-Type: application/json; charset=utf-8

{
  "feed_url": {FEED_URL}
}
```

#### Example Response
```http
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
  "token_type": "bearer",
  "access_token": {RANDOM_TOKEN},
  "expires_in": 3600,
  "refresh_token": {RANDOM_TOKEN},
  "scope": "read_only",
  "sub": "apf_64b181d18090ea21640c915b",
  "linking_profile": {
    "profile_id": "pro_n23kjnwrw2",
  }
}
```

#### Request parameters
##### `data_center_url` *(required)*

The URL for the data center you want to communicate with. Possible choices are:

- `api-au.cronofy.com` - Australia
- `api-ca.cronofy.com` - Canada
- `api-de.cronofy.com` - Germany
- `api-sg.cronofy.com` - Singapore
- `api-uk.cronofy.com` - United Kingdom
- `api.cronofy.com` - United States

Find out more about [Cronofy's data centers](/developers/data-centers/index.md).
##### `API_KEY` *(required)*

The `client_secret` of the client creating the event.

##### `feed_url` *(required)*

The URL of the ICS feed to import.

This must be an externally accessible URL which provides a `text/calendar`
response containing valid iCalendar information.


---
[Read in HTML](/developers/api-alpha/feeds/)
